## 构建PSAM的文件系统

### 创建MF文件
- 文件名称：Junmp_mf20190128
- 文件权限：0F
- 文件标识：01
- 头部指令：80e00000
- 指令内容：ffffffffffffffff0f014a756e6d705f6d663230313930313238
- 指令长度：1A
- 指令解释：文件权限为：0F，文件的短识别符为：01，文件名为：4a756e6d705f6d663230313930313238

### 创建DF文件
- 文件ID： 3F01
- 文件名称：Jp_df1901
- 文件权限：0F
- 文件标识：01
- 头部指令：80e00100
- 指令内容：ffffffffffffffff0f014A705F646631393031
- 指令长度：1A
- 指令解释：文件权限为：0F，文件的短识别符为：01，文件名为：4A705F646631393031

### 创建EF文件
- 指令内容：4F010501001000
- 文件标识：4F01
- 文件类型：05（表示密钥文件）00（表示二进制）01（表示定长记录）02（表示变长记录）03（表示循环定长）04（表示ATR文件）
           80（表示数据以密文写入）
- 读取权限：01
- 修改权限：00

### 密钥写入

#### 主控密钥
- 密钥内容：010000060F05FF38373931393631383833383636383030
- 密钥标识：01
- 算法标识：00
- 密钥用途：00
- 使用权限：06
- 后续状态：0F
- 修改权限：05
- 错误计数：FF


        /*
        //创建密钥文件
        let d1 = hexify.toByteArray('4F010501001000');
        //创建密钥文件80 E0 02 00 07 4F01 05 01 00 10 00
        application.createEf(d1).then(res => {
            if(res.isOk()){
                console.log('写入成功');
            }
        })
        */

        /*
         //写主控密钥,密钥版本为：01
        let d1 = hexify.toByteArray('010000060F05FF38373931393631383833383636383030');
        application.createTextKey(d1).then(res => {
            if (res.isOk()) {
                console.log('密钥写入成功');
            }
        });
        */
        /*
        //用户卡维护密钥，密钥版本：02
        let d1 = hexify.toByteArray('020005060F05FF38373931393631383833383636383033');
        application.createTextKey(d1).then(res => {
            if (res.isOk()) {
                console.log('维护密钥写入成功');
            }
        });
        */

        /*
        //母卡导出密钥，密钥版本：03
        let d1 = hexify.toByteArray('03000D060F05FF38373931393631383833383636383031');
        application.createTextKey(d1).then(res => {
            if (res.isOk()) {
                console.log('母卡导出密钥写入成功');
            }
        });
        */
        /*
        //母卡导出保护密钥，密钥版本：04
        let d1 = hexify.toByteArray('04000E060F05FF38373931393631383833383636383032');
        application.createTextKey(d1).then(res => {
            if (res.isOk()) {
                console.log('母卡导出保护密钥写入成功');
            }
        });
        */
        /*
        //内部认证密钥，密钥版本：05
        let d1 = hexify.toByteArray('050009060F05FF38373931393631383833383636383034');
        application.createTextKey(d1).then(res => {
            if (res.isOk()) {
                console.log('内部密钥写入成功');
            }
        })
        */

